Subject: Re: Automating svn<->git gateway

From: Jakub Narebski <[email-masked]>
Date: Tue, 12 Oct 2010 12:54:54 -0700 (PDT)

Jan Hudec <[email-masked]> writes:

> I want to set up a gateway between subversion and git, which would keep the
> master synchonized with subversion trunk, both ways, and allow working with
> any additional branches independent of subversion. For users it should behave
> as any other shared git repository accessed by push and pull. And it needs to
> be automatic.
> 
> Did anybody try to set up something like this?

It is a pity that "Native SVN support in git" project at Google Summer of
Code 2010 (https://git.wiki.kernel.org/index.php/SoC2010Projects) turned
out to be too much for one summer; though people are working on it.  It
would be perfect for this situation.

-- 
Jakub Narebski
Poland
ShadeHawk on #git